> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Presentation From Json Sync V3

> Create a presentation from JSON synchronously.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json post /api/v3/presentation/from-json
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/presentation/from-json:
    post:
      tags:
        - V3 Presentation
      summary: Create Presentation From Json Sync V3
      description: |-
        Create a presentation from JSON synchronously.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: create_presentation_from_json_sync_v3_api_v3_presentation_from_json_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePresentationFromJsonRequestV3'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPathAndEditPath'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreatePresentationFromJsonRequestV3:
      properties:
        language:
          type: string
          title: Language
          description: The language of the presentation
          default: English
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: The title of the presentation
        standard_template:
          type: string
          title: Standard Template
          description: >-
            The template to use for the presentation. Available templates:
            neo-general, neo-modern, neo-standard, neo-swift, general, modern,
            standard, swift and your custom templates
          default: general
        theme:
          anyOf:
            - type: string
            - type: 'null'
          title: Theme
          description: >-
            The theme to use for the presentation. Available themes:
            edge-yellow, light-rose, mint-blue, professional-blue,
            professional-dark and your custom themes
        slides:
          items:
            $ref: '#/components/schemas/CreateSlideFromJsonRequestV1'
          type: array
          title: Slides
          description: The slides to use for the presentation
          default: []
        export_as:
          type: string
          enum:
            - pptx
            - pdf
            - png
          title: Export As
          description: The format to export the presentation as
          default: pptx
        trigger_webhook:
          type: boolean
          title: Trigger Webhook
          description: Whether to trigger subscribed webhooks
          default: false
      type: object
      title: CreatePresentationFromJsonRequestV3
    PresentationPathAndEditPath:
      properties:
        presentation_id:
          type: string
          format: uuid
          title: Presentation Id
        path:
          type: string
          title: Path
        edit_path:
          type: string
          title: Edit Path
        credits_consumed:
          type: number
          title: Credits Consumed
      type: object
      required:
        - presentation_id
        - path
        - edit_path
        - credits_consumed
      title: PresentationPathAndEditPath
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreateSlideFromJsonRequestV1:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: The id of the slide to use
        layout:
          type: string
          title: Layout
          description: The layout of the slide
        content:
          additionalProperties: true
          type: object
          title: Content
          description: The content of the slide
        speaker_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker Note
          description: The speaker note of the slide
      type: object
      required:
        - layout
        - content
      title: CreateSlideFromJsonRequestV1
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````